﻿using System;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Threading;
using System.Windows.Forms;

namespace LEADTOOLS_Game_Capture_Demo
{
   public partial class ResultDialog : Form
   {
      private string directoryName;
      public ResultDialog()
      {
         InitializeComponent();
         lblMessage.MaximumSize = new Size(350, 0);
         lblMessage.AutoSize = true;
      }

      public void ShowDialog(Form owner, string message, string directory, string title = "")
      {
         btnOpenFileDirectory.Focus();
         lblMessage.Text = message;
         directoryName = directory;
         Text = title;
         this.ShowDialog(owner);
      }

      private void btnOpenFileDirectory_Click(object sender, EventArgs e)
      {
         if (Directory.Exists(directoryName))
            Process.Start(directoryName);
      }

      private void btnOk_Click(object sender, EventArgs e)
      {
         Close();
      }
   }
}
